
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic
{
    public class TimeLineSpineAnimEventLogic : TimeLineEventLogicBasic
    {
        protected override void ProSetCombatInfo()
        {
           
        }

        protected override void ProEnter()
        {
      
            // TimeLineSpineSeralization spineSeralization =
            //     timeLineAssetSerialization as TimeLineSpineSeralization;
            // if (spineSeralization.isRunPlay)
            // {
            //     ITimeLineAnimtion tinmLineAnim = _castEntity as ITimeLineAnimtion;
            //
            //
            //     tinmLineAnim.PlayAnim(spineSeralization.animName,
            //         spineSeralization.loopMode,
            //         spineSeralization.layerId,true,_timeLineEventLogicGroup.attSpeed.value);
            // }
        }

        protected override void ProLeave()
        {
        }

        protected override void ProTimeUpdate()
        {
        }

        protected override void ProBreakTimeLine()
        {
        }

        protected override void ProDispose()
        {
        }
    }
}